## teeworlds 0.5.2

=== debian/changelog ===
teeworlds (0.5.2-2) unstable; urgency=low

  * Only fix permissions of data files when arch-all packages are built.
    (Closes: #586534)
  * Add -Wl,--as-needed to LDFLAGS.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Jun 2010 18:50:29 +0200

teeworlds (0.5.2-1) unstable; urgency=low

  * New upstream release. (Closes: #559938, LP: #559922)
  * Add myself as uploader.
  * Fix loading of sound files. (Closes: #551906)
  * Add set-data-dir.patch to hardcode the data dir location.
  * Remove wrapper scripts, they aren't needed anymore as the data dir is
    hardcoded and teeworlds suppresses the screensaver by using SDL.
  * Add ${misc:Depends} to teeworlds-data dependencies.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Switch to dh7 rules and source format 3.0 (quilt).
  * Bump debian/compat to 7.
  * Add pass-build-flags.patch to pass CFLAGS and LDFLAGS to the build system.
  * Remove unneeded build-dependencies.
  * Don't remove embedded libs in the clean target.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 01 Jun 2010 15:32:53 +0200

teeworlds (0.5.1-4) unstable; urgency=low

  * update the wrapper to poke the screensaver with dbus-send

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 22 Aug 2009 16:31:32 +0200

teeworlds (0.5.1-3) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Clean: clean the teeworld binary, the embedded libs and correctly
    call unpatch 
  * refresh the system-libs.patch and new-wavpack.patch and apply them

  [ Paul Wise ]
  * Fix bashism in the --help option of the teeworlds-server script
    (Closes: #530198)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 10 May 2009 23:38:35 +0200

teeworlds (0.5.1-2) unstable; urgency=low

  * Fix the ouput of teeworlds-server --help with /bin/sh ->
    /bin/bash (Closes: #511600)
  * Standard version 3.8.1

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 12 Apr 2009 02:32:37 +0200

teeworlds (0.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #511875, #517002)
   - Bam has its own release now
   - Update debian/copyright
   - BuildDepends on libsdl1.2-dev
   - Update the clean target
  * teeworlds-server doesn't suggest teeworlds-server anymore

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 23 Jan 2009 23:09:01 +0100

teeworlds (0.4.3-3) experimental; urgency=low

  * add a loop in teeworld wrapper to poke the screensaver and avoid freeze
    (Closes: #480902)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 11 Jan 2009 20:05:45 +0100

teeworlds (0.4.3-2) experimental; urgency=low

  [ Gonéri Le Bouder ]
  * Apply Michel Dänzer patch to avoid crash on big endian arch
    (Closes: #504704)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 14 Dec 2008 01:55:34 +0100

teeworlds (0.4.3-1) experimental; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Add Homepage field 

  [ Miriam Ruiz ]
  * Upgraded Standards-Version from 3.7.3 to 3.8.0: No changes needed
  * Added README.source file

  [ Gonéri Le Bouder ]
  * New Upstream Release
  * Refresh the patches
  * Don't link against libasound2 anymore
   + add dont-link-with-asound.diff
   + remove libasound2-dev from the build-deps
  * Add myself in uploader
  * Versioned dependency against teeworlds-data (= ${source:Version})

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 04 Nov 2008 00:54:25 +0100

teeworlds (0.4.2-2) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Fix the build on SPARC (Closes: #481817)
   + add fix-bam-FTBFS.patch

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Tue, 28 Oct 2008 23:53:17 +0100

teeworlds (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #460848)

 -- Jack Coulter <jscinoz@gmail.com>  Sun, 13 Apr 2008 18:48:12 +1000
