=== debian/control ===
Source: teeworlds
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.0.50~),
               bam,
               python,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpnglite-dev,
               libsdl1.2-dev,
               libwavpack-dev,
               libx11-dev,
               zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://www.teeworlds.com/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/teeworlds
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/teeworlds/?op=log

Package: teeworlds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, teeworlds-data (= ${source:Version})
Suggests: teeworlds-server
Description: An online multi-player platform 2D shooter
 This package contains the client binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, teeworlds-data (= ${source:Version})
Description: Server for Teeworlds; an online multi-player platform 2D shooter
 This package contains the server binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-data
Architecture: all
Depends: ${misc:Depends}
Suggests: teeworlds-server, teeworlds
Description: Data for Teeworlds; an online multi-player platform 2D shooter
 This package contains the static data for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.
