=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	echo "release_settings.cc.optimize = 0" >> debian.bam
	echo "release_settings.cc.flags:Add(\"$(CFLAGS)\")" >> debian.bam
	echo "release_settings.link.inputflags = release_settings.link.inputflags .. \" $(LDFLAGS)\"" >> debian.bam
	bam -v release

override_dh_auto_install:
	mv teeworlds_srv teeworlds-server

override_dh_auto_clean:
	touch debian.bam
	bam -c
	find -type f -name '*.o' -exec rm {} \;
	rm -rf tmp.* config.bam debian.bam fake_server map_resave crapnet tileset_borderfix
	rm -rf teeworlds_srv teeworlds-server dilate versionsrv packetgen mastersrv teeworlds
	rm -f datasrc/*.pyc 

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter teeworlds-data, $(shell dh_listpackages)))
	find debian/teeworlds-data -type f -exec chmod 644 {} \;
endif
