## teeworlds 0.6.0

=== debian/changelog ===
teeworlds (0.6.0-2~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Wed, 13 Jul 2011 10:24:48 +0000

teeworlds (0.6.0-2) unstable; urgency=low

  * Only replace the embedded DejaVuSans.ttf when teeworlds-data is
    actually built.
  * Document the DejaVu license in debian/copyright.
  * Fix FTBFS on GNU Hurd, thanks to Pino Toscano.
    - Add fix-ftbfs-hurd.patch

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 19 May 2011 12:32:21 +0200

teeworlds (0.6.0-1) unstable; urgency=low

  * New upstream release. (Closes: #625651)
    - Fixes FTBFS with gcc 4.6. (Closes: #624977)
  * Refresh patches.
  * Add libfreetype6-dev to build-depends.
  * Immediately abort bam on error.
  * Update Vcs control fields, package moved to git.
  * Switch to debhelper compat level 8.
  * Set minimal bam version to 0.4.
  * In clean target: don't fail if calling bam returns an error.
  * teeworlds doesn't suggest teeworlds-server anymore.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Replace embedded copy of DejaVuSans.ttf with a symlink and make
    teeworlds-data depend on ttf-dejavu-core.
  * Fix lintian warning description-synopsis-starts-with-article.
  * Replace the custom icon with the offical ones extracted from an ico file.
    - Build-depend on icoutils and imagemagick.
  * Fix FTBFS on kfreebsd.
    - Add fix-ftbfs-kfreebsd.patch
  * Use gcc macros instead of an incomplete list of architectures to detect
    the endianness.
    - Add gcc-endianness.patch
  * Remove map_version in the clean target.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 18 May 2011 14:35:24 +0200
