=== debian/control ===
Source: teeworlds
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 8),
               bam (>= 0.4),
               icoutils,
               imagemagick,
               python,
               libfreetype6-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libpnglite-dev,
               libsdl1.2-dev,
               libwavpack-dev,
               libx11-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.teeworlds.com/
Vcs-Git: git://git.debian.org/pkg-games/teeworlds.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/teeworlds.git

Package: teeworlds
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         teeworlds-data (= ${source:Version})
Description: online multi-player platform 2D shooter
 This package contains the client binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-server
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         teeworlds-data (= ${source:Version})
Description: server for Teeworlds; an online multi-player platform 2D shooter
 This package contains the server binary for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.

Package: teeworlds-data
Architecture: all
Depends: ${misc:Depends},
         ttf-dejavu-core
Suggests: teeworlds-server, teeworlds
Description: data for Teeworlds; an online multi-player platform 2D shooter
 This package contains the static data for Teeworlds.
 .
 The game features cartoon-themed graphics and physics, and relies heavily 
 on classic shooter weaponry and gameplay. 
 The controls are heavily inspired by the FPS genre of computer games.
