=== debian/watch ===
version=3
http://www.teeworlds.com/?page=downloads (?:.*)/teeworlds-([\d.]+)-src.tar.gz
