## teeworlds 0.6.1+dfsg

=== debian/changelog ===
teeworlds (0.6.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Repackage upstream tarball to remove pre-compiled libraries.
  * Update watch file.
  * Refresh patches.
  * Drop patches that have been applied upstream: fix-ftbfs-hurd.patch,
    fix-ftbfs-kfreebsd.patch and gcc-endianness.patch.
  * Use dh_link to create the DejaVuSans.ttf symlink.
  * Query dpkg-buildflags instead of relying on dpkg-buildpackage to set the
    environment variables.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 05 Aug 2011 15:02:49 +0200
