=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

%:
	dh $@

override_dh_auto_build:
	echo "release_settings.optimize = 0" >> debian.lua
	echo "release_settings.cc.flags:Add(\"$(CFLAGS)\")" >> debian.lua
	echo "release_settings.link.inputflags = release_settings.link.inputflags .. \" $(LDFLAGS)\"" >> debian.lua
	bam -a -v release

override_dh_auto_install:
	mv teeworlds_srv teeworlds-server

	mkdir debian/icotmp
	icotool -x -o debian/icotmp other/icons/Teeworlds.ico
	set -e && for size in 16 24 32 48 128 256; do \
		mkdir -p debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps; \
		mv debian/icotmp/Teeworlds_*_$${size}x$${size}x32.png \
		  debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps/teeworlds.png; \
	done
	rmdir debian/icotmp

	mkdir -p debian/teeworlds/usr/share/pixmaps
	convert debian/teeworlds/usr/share/icons/hicolor/32x32/apps/teeworlds.png \
	  debian/teeworlds/usr/share/pixmaps/teeworlds.xpm

override_dh_auto_clean:
	touch debian.lua
	-bam -c
	find -type f -name '*.o' -exec rm {} \;
	rm -rf tmp.* config.bam debian.lua fake_server map_resave map_version crapnet tileset_borderfix
	rm -rf teeworlds_srv teeworlds-server dilate versionsrv packetgen mastersrv teeworlds
	rm -rf .bam debian/icotmp
	rm -f datasrc/*.pyc config.lua

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter teeworlds-data, $(shell dh_listpackages)))
	find debian/teeworlds-data -type f -exec chmod 644 {} \;
endif

dfsg-free:
	rm -r docs/tool
	rm -r other/freetype/include
	rm -r other/freetype/lib
	rm -r other/sdl/include
	rm -r other/sdl/vc*libs
	rm -r src/engine/external
	rm data/fonts/DejaVuSans.ttf
	rm data/fonts/LICENSE
	
	cd ..; mv $(CURDIR) teeworlds-$(upstreamversion)-dfsg; \
	    tar --exclude debian \
	        -czf teeworlds_$(upstreamversion)+dfsg.orig.tar.gz \
	        teeworlds-$(upstreamversion)-dfsg
