## teeworlds 0.6.2+dfsg

=== debian/changelog ===
teeworlds (0.6.2+dfsg-2) unstable; urgency=high

  * Fix a server crash that is remotely exploitable. (Closes: #770514)
    - Add fixed_a_server_crash.patch, cherry picked from 0.6.3.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 23 Nov 2014 16:45:28 +0100

teeworlds (0.6.2+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Update patches.
  * Pass $CPPFLAGS to the build system.
  * Switch to my @debian.org email address.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Change Vcs host to anonscm.debian.org.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 05 May 2013 09:49:34 +0200
