=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <debfx-pkg@fobos.de>
+Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <fgeyer@debian.org>
 Build-Depends: debhelper (>= 8),
                bam (>= 0.4),
                icoutils,
@@ -16,10 +16,10 @@
                libwavpack-dev,
                libx11-dev,
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.teeworlds.com/
-Vcs-Git: git://git.debian.org/pkg-games/teeworlds.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/teeworlds.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/teeworlds.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/teeworlds.git
 
 Package: teeworlds
 Architecture: any
