## teeworlds 0.6.3+dfsg

=== debian/changelog ===
teeworlds (0.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #789979)
    - Drop fixed_a_server_crash.patch, applied upstream.
  * Make teeworlds-data depend on fonts-dejavu-core instead of ttf-dejavu-core.
    (Closes: #709939)
  * Drop Debian menu entry.
  * Enable all hardening build flags.
  * Use Files-Excluded copyright field for repacking source tarball.
  * Switch to debhelper compat level 9.
  * Use https in Vcs-* and Homepage URLs.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 25 Apr 2016 20:35:12 +0200
