=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                bam (>= 0.4),
                icoutils,
-               imagemagick,
                python,
                libfreetype6-dev,
                libgl1-mesa-dev,
                libglu1-mesa-dev,
-               libpnglite-dev,
+               libpnglite-dev (>= 0.1.17-2~),
                libsdl1.2-dev,
                libwavpack-dev,
                libx11-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
-Homepage: http://www.teeworlds.com/
-Vcs-Git: git://anonscm.debian.org/pkg-games/teeworlds.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/teeworlds.git
+Standards-Version: 3.9.8
+Homepage: https://www.teeworlds.com/
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/teeworlds.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/teeworlds.git
 
 Package: teeworlds
 Architecture: any
@@ -48,7 +47,7 @@
 Package: teeworlds-data
 Architecture: all
 Depends: ${misc:Depends},
-         ttf-dejavu-core
+         fonts-dejavu-core
 Suggests: teeworlds-server, teeworlds
 Description: data for Teeworlds; an online multi-player platform 2D shooter
  This package contains the static data for Teeworlds.
