=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
  https://www.teeworlds.com/?page=downloads (?:.*)/teeworlds-([\d.]+)-(?:src|source).tar.gz
