## teeworlds 0.6.4+dfsg

=== debian/changelog ===
teeworlds (0.6.4+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable pie hardening flags since pnglite is only available as a
    static library.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 17 Nov 2016 21:05:13 +0100

teeworlds (0.6.4+dfsg-1) unstable; urgency=high

  * New upstream release.
    - Fixes possible remote code execution on the client. (Closes: #844546)
  * Refresh new-wavpack.patch
  * Drop patches that have been fixed upstream:
    - fix-gcc6-rename-round.patch
    - fix-gcc6-var-types.patch
    - reset-nethash.patch

 -- Felix Geyer <fgeyer@debian.org>  Thu, 17 Nov 2016 20:57:15 +0100

teeworlds (0.6.3+dfsg-3) unstable; urgency=medium

  * Reset nethash to the one of pristine 0.6.3.
    - We haven't done any functional changes.
    - Add d/p/reset-nethash.patch
    - Closes: #834285
  * Add keywords to the desktop file.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 14 Aug 2016 10:47:58 +0200

teeworlds (0.6.3+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with GCC 6. (Closes: #811757)
    - Add fix-gcc6-rename-round.patch
    - Add fix-gcc6-var-types.patch

 -- Felix Geyer <fgeyer@debian.org>  Fri, 01 Jul 2016 19:29:57 +0200
