=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libfreetype6-dev,
                libgl1-mesa-dev,
                libglu1-mesa-dev,
-               libpnglite-dev (>= 0.1.17-2~),
+               libpnglite-dev,
                libsdl1.2-dev,
                libwavpack-dev,
                libx11-dev,
@@ -18,7 +18,7 @@
 Standards-Version: 3.9.8
 Homepage: https://www.teeworlds.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/teeworlds.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/teeworlds.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/teeworlds.git
 
 Package: teeworlds
 Architecture: any
