## teeworlds 0.6.5+dfsg

=== debian/changelog ===
teeworlds (0.6.5+dfsg-1~deb9u1) stretch-security; urgency=high

  * Team upload.
  * New upstream version 0.6.5+dfsg.
    Fix CVE-2018-18541: remote denial-of-service vulnerability in
    teeworlds-server. (Closes: #911487)

 -- Markus Koschany <apo@debian.org>  Sat, 27 Oct 2018 17:02:43 +0200
