=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
 CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
@@ -9,6 +9,8 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
 
 override_dh_auto_build:
 	echo "release_settings.optimize = 0" >> debian.lua
@@ -20,10 +22,10 @@
 	mv teeworlds_srv teeworlds-server
 
 	mkdir debian/icotmp
-	icotool -x -o debian/icotmp other/icons/Teeworlds.ico
+	icotool -x -o debian/icotmp other/icons/teeworlds.ico
 	set -e && for size in 16 24 32 48 128 256; do \
 		mkdir -p debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps; \
-		mv debian/icotmp/Teeworlds_*_$${size}x$${size}x32.png \
+		mv debian/icotmp/teeworlds_*_$${size}x$${size}x32.png \
 		  debian/teeworlds/usr/share/icons/hicolor/$${size}x$${size}/apps/teeworlds.png; \
 	done
 	rmdir debian/icotmp
