## teeworlds 0.7.0

=== debian/changelog ===
teeworlds (0.7.0-1~bpo9+1) stretch-backports; urgency=medium

  * Team upload.
  * Rebuild for stretch-backports.

 -- Markus Koschany <apo@debian.org>  Sat, 17 Nov 2018 17:59:04 +0100

teeworlds (0.7.0-1) unstable; urgency=high

  * Team upload.
  * New upstream version 0.7.0
    - No longer repack the tarball because it is DFSG-compliant.
    - However see README.source. We have to add maps and translations manually
      because network connections at build time are not allowed.
    - Fix CVE-2018-18541: remote denial-of-service vulnerability in
      teeworlds-server. (Closes: #911487)
    - Use pkg-config to detect libraries. (Closes: #892351)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Update debian/watch and track new releases on github.com.
  * Update debian/copyright for new release.
  * Rebase all patches for new release.
  * Switch from SDL 1 to SDL 2.
  * Use bam -t option for more verbosity.
  * Do not create debian.lua anymore.
  * Add portability.patch and don't make the build fail if we build on
    non-supported architectures.
  * Add builddir.patch and use a more predictable location for build output
    files.
  * Provide a systemd service file for teeworlds-server.
    Install a new teeworlds.service file but disable the server by default.
    Explain in README.Debian what steps are needed to run a server.
    (Closes: #536107)

 -- Markus Koschany <apo@debian.org>  Sat, 27 Oct 2018 12:11:25 +0200
