## teeworlds 0.7.2

=== debian/changelog ===
teeworlds (0.7.2-5ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Apr 2020 13:15:58 +0200

teeworlds (0.7.2-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:27 +0100

teeworlds (0.7.2-5) unstable; urgency=medium

  * Team upload.
  * Backport other commits to improve patches for CVE-2019-10877,
     CVE-2019-10878 and CVE-2019-10879.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 May 2019 07:41:59 +0200

teeworlds (0.7.2-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patches to fix CVE-2019-10877 CVE-2019-10878 CVE-2019-10879
     (Closes: #927152).
  * Add upstream patch to fix creation of recursive path. (Closes: #928110)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 04 May 2019 22:14:03 +0200

teeworlds (0.7.2-3) unstable; urgency=medium

  * Stop building with -msse2 on i386. (Closes: #921274)
    - Cherry-pick upstream fix as no-sse2-required.patch

 -- Felix Geyer <fgeyer@debian.org>  Thu, 28 Feb 2019 22:35:34 +0100

teeworlds (0.7.2-2) unstable; urgency=medium

  * Team upload.
  * Apply upstream's patch for immintrin.h and include it only on amd64 and
    i386. This fixes a FTBFS on all other Debian architectures.

 -- Markus Koschany <apo@debian.org>  Thu, 03 Jan 2019 10:28:18 +0100

teeworlds (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.2.
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.

 -- Markus Koschany <apo@debian.org>  Wed, 02 Jan 2019 19:26:45 +0100
