=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jack Coulter <jscinoz@gmail.com>, Felix Geyer <fgeyer@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                bam (>= 0.5.1),
                icoutils,
-               python,
+               python2,
                libfreetype6-dev,
                libgl1-mesa-dev,
                libglu1-mesa-dev,
@@ -15,10 +15,10 @@
                libwavpack-dev,
                libx11-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://www.teeworlds.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/teeworlds.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/teeworlds.git
+Vcs-Git: https://salsa.debian.org/games-team/teeworlds.git
+Vcs-Browser: https://salsa.debian.org/games-team/teeworlds
 
 Package: teeworlds
 Architecture: any
